Package com.sap.ai.sdk.core.client

# Class DockerRegistrySecretApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.DockerRegistrySecretApi

public class DockerRegistrySecretApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockerRegistrySecretApi()`
  Instantiates this API class to invoke operations on the AI Core
  `DockerRegistrySecretApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BcknddockerRegistrySecretCreationResponse`
  `create(KubesubmitV4DockerRegistrySecretsCreateRequest kubesubmitV4DockerRegistrySecretsCreateRequest)`
  Create a secret
  `BcknddockerRegistrySecretCreationResponse`
  `create(KubesubmitV4DockerRegistrySecretsCreateRequest kubesubmitV4DockerRegistrySecretsCreateRequest, String authorization)`
  Create a secret
  `BcknddockerRegistrySecretDeletionResponse`
  `delete(String dockerRegistryName)`
  Delete docker registry secret
  `BcknddockerRegistrySecretDeletionResponse`
  `delete(String dockerRegistryName, String authorization)`
  Delete docker registry secret
  `BcknddockerRegistrySecretStatus`
  `get(String dockerRegistryName)`
  Returns the of metadata of secrets which match the query parameter.
  `BcknddockerRegistrySecretStatus`
  `get(String dockerRegistryName, String authorization)`
  Returns the of metadata of secrets which match the query parameter.
  `BcknddockerRegistrySecretModificationResponse`
  `patch(String dockerRegistryName, BcknddockerRegistrySecretWithSensitiveDataRequest bcknddockerRegistrySecretWithSensitiveDataRequest)`
  Update a secret
  `BcknddockerRegistrySecretModificationResponse`
  `patch(String dockerRegistryName, BcknddockerRegistrySecretWithSensitiveDataRequest bcknddockerRegistrySecretWithSensitiveDataRequest, String authorization)`
  Update a secret
  `BcknddockerRegistrySecretStatusResponse`
  `query()`
  Get a list of metadata of secrets.
  `BcknddockerRegistrySecretStatusResponse`
  `query(Integer $top, Integer $skip, Boolean $count, String authorization)`
  Get a list of metadata of secrets.
  `DockerRegistrySecretApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DockerRegistrySecretApi

    public DockerRegistrySecretApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### DockerRegistrySecretApi

    public DockerRegistrySecretApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public DockerRegistrySecretApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### create

    @Nonnull public BcknddockerRegistrySecretCreationResponse create(@Nonnull KubesubmitV4DockerRegistrySecretsCreateRequest kubesubmitV4DockerRegistrySecretsCreateRequest, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create a secret

    Create a secret based on the configuration in the request body.

    202 - The request to create a k8s secret based on the given configuration has been accepted.

    400 - One of the following failure cases has occurred: <ul> <li> Neither JSON nor YAML was able to be parsed. <li> The request was invalidly formatted

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `kubesubmitV4DockerRegistrySecretsCreateRequest` - (required) The value for the parameter kubesubmitV4DockerRegistrySecretsCreateRequest
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BcknddockerRegistrySecretCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public BcknddockerRegistrySecretCreationResponse create(@Nonnull KubesubmitV4DockerRegistrySecretsCreateRequest kubesubmitV4DockerRegistrySecretsCreateRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create a secret

    Create a secret based on the configuration in the request body.

    202 - The request to create a k8s secret based on the given configuration has been accepted.

    400 - One of the following failure cases has occurred: <ul> <li> Neither JSON nor YAML was able to be parsed. <li> The request was invalidly formatted

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `kubesubmitV4DockerRegistrySecretsCreateRequest` - The value for the parameter kubesubmitV4DockerRegistrySecretsCreateRequest
    Returns:
      BcknddockerRegistrySecretCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BcknddockerRegistrySecretDeletionResponse delete(@Nonnull String dockerRegistryName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete docker registry secret

    Delete a secret with the name of dockerRegistryName if it exists.

    202 - The request to delete the secret has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - (required) Name of the docker Registry store for the secret.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BcknddockerRegistrySecretDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public BcknddockerRegistrySecretDeletionResponse delete(@Nonnull String dockerRegistryName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete docker registry secret

    Delete a secret with the name of dockerRegistryName if it exists.

    202 - The request to delete the secret has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - Name of the docker Registry store for the secret.
    Returns:
      BcknddockerRegistrySecretDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BcknddockerRegistrySecretStatus get(@Nonnull String dockerRegistryName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the of metadata of secrets which match the query parameter.

    Retrieve the stored secret metadata which matches the parameter dockerRegistryName. The base64 encoded field for the stored secret is not returned.

    200 - The request was processed successfully and the metadata of the of stored secrets wil be returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - (required) Name of the docker Registry store for the secret.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BcknddockerRegistrySecretStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BcknddockerRegistrySecretStatus get(@Nonnull String dockerRegistryName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Returns the of metadata of secrets which match the query parameter.

    Retrieve the stored secret metadata which matches the parameter dockerRegistryName. The base64 encoded field for the stored secret is not returned.

    200 - The request was processed successfully and the metadata of the of stored secrets wil be returned.

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - Name of the docker Registry store for the secret.
    Returns:
      BcknddockerRegistrySecretStatus
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### patch

    @Nonnull public BcknddockerRegistrySecretModificationResponse patch(@Nonnull String dockerRegistryName, @Nonnull BcknddockerRegistrySecretWithSensitiveDataRequest bcknddockerRegistrySecretWithSensitiveDataRequest, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update a secret

    Update a secret with name of dockerRegistryName if it exists.

    202 - The request to update the secret based on the the given configuration has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - (required) Name of the docker Registry store for the secret.
      `bcknddockerRegistrySecretWithSensitiveDataRequest` - (required) The value for the parameter bcknddockerRegistrySecretWithSensitiveDataRequest
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BcknddockerRegistrySecretModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### patch

    @Nonnull public BcknddockerRegistrySecretModificationResponse patch(@Nonnull String dockerRegistryName, @Nonnull BcknddockerRegistrySecretWithSensitiveDataRequest bcknddockerRegistrySecretWithSensitiveDataRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update a secret

    Update a secret with name of dockerRegistryName if it exists.

    202 - The request to update the secret based on the the given configuration has been accepted.

    404 - The specified resource was not found

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `dockerRegistryName` - Name of the docker Registry store for the secret.
      `bcknddockerRegistrySecretWithSensitiveDataRequest` - The value for the parameter bcknddockerRegistrySecretWithSensitiveDataRequest
    Returns:
      BcknddockerRegistrySecretModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public BcknddockerRegistrySecretStatusResponse query(@Nullable Integer $top, @Nullable Integer $skip, @Nullable Boolean $count, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a list of metadata of secrets.

    Retrieve a list of metadata of the stored secrets

    200 - The request was successful and the requested metadata for the secret will be returned. This includes a list of attributes of the stored secret like - creationTimestamp, namespace etc. The secret's data field is not returned.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `$top` - (optional) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
      `$count` - (optional) When the $count field is set to false, the response contains a count of the items present in the response. When the $count field is set to true, the response contains a count of all the items present on the server, and not just the ones in the response. When the $count field is not passed, it is false by default.
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BcknddockerRegistrySecretStatusResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public BcknddockerRegistrySecretStatusResponse query() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a list of metadata of secrets.

    Retrieve a list of metadata of the stored secrets

    200 - The request was successful and the requested metadata for the secret will be returned. This includes a list of attributes of the stored secret like - creationTimestamp, namespace etc. The secret's data field is not returned.

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BcknddockerRegistrySecretStatusResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API